Index: /code/branches/gamestates2/data/gui/schemes/VanillaLook.scheme
===================================================================
--- /code/branches/gamestates2/data/gui/schemes/VanillaLook.scheme	(revision 6595)
+++ /code/branches/gamestates2/data/gui/schemes/VanillaLook.scheme	(revision 6595)
@@ -0,0 +1,53 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="VanillaLook">
+    <Imageset Name="Vanilla-Images" Filename="Vanilla.imageset" />
+    <Imageset Name="TaharezLook"    Filename="TaharezLook.imageset" />
+    <LookNFeel Filename="Vanilla.looknfeel" />
+    <LookNFeel Filename="TaharezLook.looknfeel" />
+    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
+
+    <!-- Standard widgets -->
+    <FalagardMapping WindowType="Vanilla/StaticImage"              TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="Vanilla/StaticImage" />
+    <FalagardMapping WindowType="Vanilla/StaticText"               TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="Vanilla/StaticText" />
+    <FalagardMapping WindowType="Vanilla/Editbox"                  TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="Vanilla/Editbox" />
+    <FalagardMapping WindowType="Vanilla/FrameWindow"              TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="Vanilla/FrameWindow" />
+    <FalagardMapping WindowType="Vanilla/Listbox"                  TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="Vanilla/Listbox" />
+    <FalagardMapping WindowType="Vanilla/MultiLineEditbox"         TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="Vanilla/MultiLineEditbox" />
+    <FalagardMapping WindowType="Vanilla/Button"                   TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="Vanilla/Button" />
+    <FalagardMapping WindowType="Vanilla/HorizontalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="Vanilla/HorizontalScrollbar" />
+    <FalagardMapping WindowType="Vanilla/VerticalScrollbar"        TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="Vanilla/VerticalScrollbar" />
+    <FalagardMapping WindowType="Vanilla/HorizontalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="Vanilla/HorizontalScrollbarThumb" />
+    <FalagardMapping WindowType="Vanilla/VerticalScrollbarThumb"   TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="Vanilla/VerticalScrollbarThumb" />
+    <FalagardMapping WindowType="Vanilla/Titlebar"                 TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="Vanilla/Titlebar" />
+
+    <!-- Missing widgets (using Taharez LookNFeel) -->
+    <FalagardMapping WindowType="Vanilla/TabButtonPane"            TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabButtonPane" />
+    <FalagardMapping WindowType="Vanilla/TabContentPane"           TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabContentPane" />
+    <FalagardMapping WindowType="Vanilla/Checkbox"                 TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/Checkbox" />
+    <FalagardMapping WindowType="Vanilla/Combobox"                 TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/Combobox" />
+    <FalagardMapping WindowType="Vanilla/ComboDropList"            TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/ComboDropList" />
+    <FalagardMapping WindowType="Vanilla/ComboEditbox"             TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/ComboEditbox" />
+    <FalagardMapping WindowType="Vanilla/GroupBox"                 TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/GroupBox" />
+    <FalagardMapping WindowType="Vanilla/ItemListbox"              TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="TaharezLook/ItemListbox" />
+    <FalagardMapping WindowType="Vanilla/ListboxItem"              TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="TaharezLook/ListboxItem" />
+    <FalagardMapping WindowType="Vanilla/ListHeader"               TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="TaharezLook/ListHeader" />
+    <FalagardMapping WindowType="Vanilla/ListHeaderSegment"        TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="TaharezLook/ListHeaderSegment" />
+    <FalagardMapping WindowType="Vanilla/Menubar"                  TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="TaharezLook/Menubar" />
+    <FalagardMapping WindowType="Vanilla/MenuItem"                 TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="TaharezLook/MenuItem" />
+    <FalagardMapping WindowType="Vanilla/MultiColumnList"          TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="TaharezLook/MultiColumnList" />
+    <FalagardMapping WindowType="Vanilla/PopupMenu"                TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="TaharezLook/PopupMenu" />
+    <FalagardMapping WindowType="Vanilla/ProgressBar"              TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/ProgressBar" />
+    <FalagardMapping WindowType="Vanilla/ImageButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
+    <FalagardMapping WindowType="Vanilla/RadioButton"              TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/RadioButton" />
+    <FalagardMapping WindowType="Vanilla/SystemButton"             TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="TaharezLook/Button" />
+    <FalagardMapping WindowType="Vanilla/ScrollablePane"           TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="TaharezLook/ScrollablePane" />
+    <FalagardMapping WindowType="Vanilla/Slider"                   TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="TaharezLook/Slider" />
+    <FalagardMapping WindowType="Vanilla/Spinner"                  TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/Spinner" />
+    <FalagardMapping WindowType="Vanilla/TabButton"                TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="TaharezLook/TabButton" />
+    <FalagardMapping WindowType="Vanilla/TabControl"               TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="TaharezLook/TabControl" />
+    <FalagardMapping WindowType="Vanilla/SliderThumb"              TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/SliderThumb" />
+    <FalagardMapping WindowType="Vanilla/Tooltip"                  TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="TaharezLook/Tooltip" />
+    <FalagardMapping WindowType="Vanilla/Tree"                     TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
+    
+    <!-- Additional widgets -->
+</GUIScheme>
Index: /code/branches/gamestates2/data/gui/schemes/VanillaMenuWidgets.scheme
===================================================================
--- /code/branches/gamestates2/data/gui/schemes/VanillaMenuWidgets.scheme	(revision 6595)
+++ /code/branches/gamestates2/data/gui/schemes/VanillaMenuWidgets.scheme	(revision 6595)
@@ -0,0 +1,42 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="VanillaMenuWidgets">
+    <WindowAlias Alias="MenuWidgets/StaticImage"              Target="Vanilla/StaticImage" />
+    <WindowAlias Alias="MenuWidgets/StaticText"               Target="Vanilla/StaticText" />
+    <WindowAlias Alias="MenuWidgets/TabButtonPane"            Target="Vanilla/TabButtonPane" />
+    <WindowAlias Alias="MenuWidgets/TabContentPane"           Target="Vanilla/TabContentPane" />
+    <WindowAlias Alias="MenuWidgets/Checkbox"                 Target="Vanilla/Checkbox" />
+    <WindowAlias Alias="MenuWidgets/Combobox"                 Target="Vanilla/Combobox" />
+    <WindowAlias Alias="MenuWidgets/ComboDropList"            Target="Vanilla/ComboDropList" />
+    <WindowAlias Alias="MenuWidgets/ComboEditbox"             Target="Vanilla/ComboEditbox" />
+    <WindowAlias Alias="MenuWidgets/Editbox"                  Target="Vanilla/Editbox" />
+    <WindowAlias Alias="MenuWidgets/FrameWindow"              Target="Vanilla/FrameWindow" />
+    <WindowAlias Alias="MenuWidgets/GroupBox"                 Target="Vanilla/GroupBox" />
+    <WindowAlias Alias="MenuWidgets/ItemListbox"              Target="Vanilla/ItemListbox" />
+    <WindowAlias Alias="MenuWidgets/ListboxItem"              Target="Vanilla/ListboxItem" />
+    <WindowAlias Alias="MenuWidgets/Listbox"                  Target="Vanilla/Listbox" />
+    <WindowAlias Alias="MenuWidgets/ListHeader"               Target="Vanilla/ListHeader" />
+    <WindowAlias Alias="MenuWidgets/ListHeaderSegment"        Target="Vanilla/ListHeaderSegment" />
+    <WindowAlias Alias="MenuWidgets/MultiLineEditbox"         Target="Vanilla/MultiLineEditbox" />
+    <WindowAlias Alias="MenuWidgets/Menubar"                  Target="Vanilla/Menubar" />
+    <WindowAlias Alias="MenuWidgets/MenuItem"                 Target="Vanilla/MenuItem" />
+    <WindowAlias Alias="MenuWidgets/MultiColumnList"          Target="Vanilla/MultiColumnList" />
+    <WindowAlias Alias="MenuWidgets/PopupMenu"                Target="Vanilla/PopupMenu" />
+    <WindowAlias Alias="MenuWidgets/ProgressBar"              Target="Vanilla/ProgressBar" />
+    <WindowAlias Alias="MenuWidgets/Button"                   Target="Vanilla/Button" />
+    <WindowAlias Alias="MenuWidgets/ImageButton"              Target="Vanilla/ImageButton" />
+    <WindowAlias Alias="MenuWidgets/RadioButton"              Target="Vanilla/RadioButton" />
+    <WindowAlias Alias="MenuWidgets/SystemButton"             Target="Vanilla/SystemButton" />
+    <WindowAlias Alias="MenuWidgets/ScrollablePane"           Target="Vanilla/ScrollablePane" />
+    <WindowAlias Alias="MenuWidgets/HorizontalScrollbar"      Target="Vanilla/HorizontalScrollbar" />
+    <WindowAlias Alias="MenuWidgets/VerticalScrollbar"        Target="Vanilla/VerticalScrollbar" />
+    <WindowAlias Alias="MenuWidgets/Slider"                   Target="Vanilla/Slider" />
+    <WindowAlias Alias="MenuWidgets/Spinner"                  Target="Vanilla/Spinner" />
+    <WindowAlias Alias="MenuWidgets/TabButton"                Target="Vanilla/TabButton" />
+    <WindowAlias Alias="MenuWidgets/TabControl"               Target="Vanilla/TabControl" />
+    <WindowAlias Alias="MenuWidgets/HorizontalScrollbarThumb" Target="Vanilla/HorizontalScrollbarThumb" />
+    <WindowAlias Alias="MenuWidgets/SliderThumb"              Target="Vanilla/SliderThumb" />
+    <WindowAlias Alias="MenuWidgets/VerticalScrollbarThumb"   Target="Vanilla/VerticalScrollbarThumb" />
+    <WindowAlias Alias="MenuWidgets/Titlebar"                 Target="Vanilla/Titlebar" />
+    <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="Vanilla/Tooltip" />
+    <WindowAlias Alias="MenuWidgets/Tree"                     Target="Vanilla/Tree" />
+</GUIScheme>
Index: /code/branches/gamestates2/data/gui/schemes/WindowsHUDWidgets.scheme
===================================================================
--- /code/branches/gamestates2/data/gui/schemes/WindowsHUDWidgets.scheme	(revision 6595)
+++ /code/branches/gamestates2/data/gui/schemes/WindowsHUDWidgets.scheme	(revision 6595)
@@ -0,0 +1,42 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="WindowsHUDWidgets">
+    <WindowAlias Alias="HUDWidgets/StaticImage"              Target="WindowsLook/StaticImage" />
+    <WindowAlias Alias="HUDWidgets/StaticText"               Target="WindowsLook/StaticText" />
+    <WindowAlias Alias="HUDWidgets/TabButtonPane"            Target="WindowsLook/TabButtonPane" />
+    <WindowAlias Alias="HUDWidgets/TabContentPane"           Target="WindowsLook/TabContentPane" />
+    <WindowAlias Alias="HUDWidgets/Checkbox"                 Target="WindowsLook/Checkbox" />
+    <WindowAlias Alias="HUDWidgets/Combobox"                 Target="WindowsLook/Combobox" />
+    <WindowAlias Alias="HUDWidgets/ComboDropList"            Target="WindowsLook/ComboDropList" />
+    <WindowAlias Alias="HUDWidgets/ComboEditbox"             Target="WindowsLook/ComboEditbox" />
+    <WindowAlias Alias="HUDWidgets/Editbox"                  Target="WindowsLook/Editbox" />
+    <WindowAlias Alias="HUDWidgets/FrameWindow"              Target="WindowsLook/FrameWindow" />
+    <WindowAlias Alias="HUDWidgets/GroupBox"                 Target="WindowsLook/GroupBox" />
+    <WindowAlias Alias="HUDWidgets/ItemListbox"              Target="WindowsLook/ItemListbox" />
+    <WindowAlias Alias="HUDWidgets/ListboxItem"              Target="WindowsLook/ListboxItem" />
+    <WindowAlias Alias="HUDWidgets/Listbox"                  Target="WindowsLook/Listbox" />
+    <WindowAlias Alias="HUDWidgets/ListHeader"               Target="WindowsLook/ListHeader" />
+    <WindowAlias Alias="HUDWidgets/ListHeaderSegment"        Target="WindowsLook/ListHeaderSegment" />
+    <WindowAlias Alias="HUDWidgets/MultiLineEditbox"         Target="WindowsLook/MultiLineEditbox" />
+    <WindowAlias Alias="HUDWidgets/Menubar"                  Target="WindowsLook/Menubar" />
+    <WindowAlias Alias="HUDWidgets/MenuItem"                 Target="WindowsLook/MenuItem" />
+    <WindowAlias Alias="HUDWidgets/MultiColumnList"          Target="WindowsLook/MultiColumnList" />
+    <WindowAlias Alias="HUDWidgets/PopupMenu"                Target="WindowsLook/PopupMenu" />
+    <WindowAlias Alias="HUDWidgets/ProgressBar"              Target="WindowsLook/ProgressBar" />
+    <WindowAlias Alias="HUDWidgets/Button"                   Target="WindowsLook/Button" />
+    <WindowAlias Alias="HUDWidgets/ImageButton"              Target="WindowsLook/ImageButton" />
+    <WindowAlias Alias="HUDWidgets/RadioButton"              Target="WindowsLook/RadioButton" />
+    <WindowAlias Alias="HUDWidgets/SystemButton"             Target="WindowsLook/SystemButton" />
+    <WindowAlias Alias="HUDWidgets/ScrollablePane"           Target="WindowsLook/ScrollablePane" />
+    <WindowAlias Alias="HUDWidgets/HorizontalScrollbar"      Target="WindowsLook/HorizontalScrollbar" />
+    <WindowAlias Alias="HUDWidgets/VerticalScrollbar"        Target="WindowsLook/VerticalScrollbar" />
+    <WindowAlias Alias="HUDWidgets/Slider"                   Target="WindowsLook/Slider" />
+    <WindowAlias Alias="HUDWidgets/Spinner"                  Target="WindowsLook/Spinner" />
+    <WindowAlias Alias="HUDWidgets/TabButton"                Target="WindowsLook/TabButton" />
+    <WindowAlias Alias="HUDWidgets/TabControl"               Target="WindowsLook/TabControl" />
+    <WindowAlias Alias="HUDWidgets/HorizontalScrollbarThumb" Target="WindowsLook/HorizontalScrollbarThumb" />
+    <WindowAlias Alias="HUDWidgets/SliderThumb"              Target="WindowsLook/SliderThumb" />
+    <WindowAlias Alias="HUDWidgets/VerticalScrollbarThumb"   Target="WindowsLook/VerticalScrollbarThumb" />
+    <WindowAlias Alias="HUDWidgets/Titlebar"                 Target="WindowsLook/Titlebar" />
+    <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="WindowsLook/Tooltip" />
+    <WindowAlias Alias="HUDWidgets/Tree"                     Target="WindowsLook/Tree" />
+</GUIScheme>
Index: /code/branches/gamestates2/data/gui/schemes/WindowsLook.scheme
===================================================================
--- /code/branches/gamestates2/data/gui/schemes/WindowsLook.scheme	(revision 6594)
+++ /code/branches/gamestates2/data/gui/schemes/WindowsLook.scheme	(revision 6595)
@@ -1,44 +1,55 @@
 <?xml version="1.0" ?>
-<GUIScheme Name="WindowsLookSkin">
-	<Imageset Name="WindowsLook" Filename="WindowsLook.imageset" />
-	<LookNFeel Filename="WindowsLook.looknfeel" />
-	<WindowSet Filename="CEGUIFalagardWRBase" />
-	<FalagardMapping WindowType="WindowsLook/Button"      TargetType="CEGUI/PushButton"  Renderer="Falagard/Button"       LookNFeel="WindowsLook/Button" />
-	<FalagardMapping WindowType="WindowsLook/Checkbox"    TargetType="CEGUI/Checkbox"    Renderer="Falagard/ToggleButton" LookNFeel="WindowsLook/Checkbox" />
-	<FalagardMapping WindowType="WindowsLook/IconButton"  TargetType="CEGUI/PushButton"  Renderer="Falagard/Button"       LookNFeel="WindowsLook/IconButton" />
-	<FalagardMapping WindowType="WindowsLook/RadioButton" TargetType="CEGUI/RadioButton" Renderer="Falagard/ToggleButton" LookNFeel="WindowsLook/RadioButton" />
-	<FalagardMapping WindowType="WindowsLook/FrameWindow"  TargetType="CEGUI/FrameWindow" Renderer="Falagard/FrameWindow"  LookNFeel="WindowsLook/FrameWindow" />
-	<FalagardMapping WindowType="WindowsLook/Titlebar"     TargetType="CEGUI/Titlebar"    Renderer="Falagard/Titlebar"     LookNFeel="WindowsLook/Titlebar" />
-	<FalagardMapping WindowType="WindowsLook/SystemButton" TargetType="CEGUI/PushButton"  Renderer="Falagard/SystemButton" LookNFeel="WindowsLook/SystemButton" />
-	<FalagardMapping WindowType="WindowsLook/Editbox"          TargetType="CEGUI/Editbox"          Renderer="Falagard/Editbox"          LookNFeel="WindowsLook/Editbox" />
-	<FalagardMapping WindowType="WindowsLook/MultiLineEditbox" TargetType="CEGUI/MultiLineEditbox" Renderer="Falagard/MultiLineEditbox" LookNFeel="WindowsLook/MultiLineEditbox" />
-	<FalagardMapping WindowType="WindowsLook/Menubar"   TargetType="CEGUI/Menubar"   Renderer="Falagard/Menubar"   LookNFeel="WindowsLook/Menubar" />
-	<FalagardMapping WindowType="WindowsLook/PopupMenu" TargetType="CEGUI/PopupMenu" Renderer="Falagard/PopupMenu" LookNFeel="WindowsLook/PopupMenu" />
-	<FalagardMapping WindowType="WindowsLook/MenuItem"  TargetType="CEGUI/MenuItem"  Renderer="Falagard/MenuItem"  LookNFeel="WindowsLook/MenuItem" />
-	<FalagardMapping WindowType="WindowsLook/ProgressBar"          TargetType="CEGUI/ProgressBar" Renderer="Falagard/ProgressBar" LookNFeel="WindowsLook/ProgressBar" />
-	<FalagardMapping WindowType="WindowsLook/VerticalScrollbar"   TargetType="CEGUI/Scrollbar" Renderer="Falagard/Scrollbar" LookNFeel="WindowsLook/VerticalScrollbar" />
-	<FalagardMapping WindowType="WindowsLook/HorizontalScrollbar" TargetType="CEGUI/Scrollbar" Renderer="Falagard/Scrollbar" LookNFeel="WindowsLook/HorizontalScrollbar" />
-	<FalagardMapping WindowType="WindowsLook/VerticalScrollbarThumb"   TargetType="CEGUI/Thumb" Renderer="Falagard/Button" LookNFeel="WindowsLook/VerticalScrollbarThumb" />
-	<FalagardMapping WindowType="WindowsLook/HorizontalScrollbarThumb" TargetType="CEGUI/Thumb" Renderer="Falagard/Button" LookNFeel="WindowsLook/HorizontalScrollbarThumb" />
-	<FalagardMapping WindowType="WindowsLook/TabButton"  TargetType="CEGUI/TabButton"  Renderer="Falagard/TabButton"  LookNFeel="WindowsLook/TabButton" />
-	<FalagardMapping WindowType="WindowsLook/TabControl" TargetType="CEGUI/TabControl" Renderer="Falagard/TabControl" LookNFeel="WindowsLook/TabControl" />
-	<FalagardMapping WindowType="WindowsLook/TabContentPane"    TargetType="DefaultWindow"    Renderer="Falagard/Default"    LookNFeel="WindowsLook/TabContentPane" />
-	<FalagardMapping WindowType="WindowsLook/TabButtonPane"    TargetType="DefaultWindow"    Renderer="Falagard/Default"    LookNFeel="WindowsLook/TabButtonPane" />
-	<FalagardMapping WindowType="WindowsLook/ComboDropList" TargetType="CEGUI/ComboDropList" Renderer="Falagard/Listbox" LookNFeel="WindowsLook/ComboDropList" />
-	<FalagardMapping WindowType="WindowsLook/Combobox"	TargetType="CEGUI/Combobox"	 Renderer="Falagard/Default" LookNFeel="WindowsLook/Combobox" />
-	<FalagardMapping WindowType="WindowsLook/Listbox"           TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="WindowsLook/Listbox" />
-	<FalagardMapping WindowType="WindowsLook/ListHeader"        TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="WindowsLook/ListHeader" />
-	<FalagardMapping WindowType="WindowsLook/ListHeaderSegment" TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="WindowsLook/ListHeaderSegment" />
-	<FalagardMapping WindowType="WindowsLook/MultiColumnList"   TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="WindowsLook/MultiColumnList" />
-	<FalagardMapping WindowType="WindowsLook/Slider"      TargetType="CEGUI/Slider" Renderer="Falagard/Slider"  LookNFeel="WindowsLook/Slider" />
-	<FalagardMapping WindowType="WindowsLook/SliderThumb" TargetType="CEGUI/Thumb"  Renderer="Falagard/Button"  LookNFeel="WindowsLook/SliderThumb" />
-	<FalagardMapping WindowType="WindowsLook/ScrollablePane" TargetType="CEGUI/ScrollablePane" Renderer="Falagard/ScrollablePane" LookNFeel="WindowsLook/ScrollablePane" />
-	<FalagardMapping WindowType="WindowsLook/Spinner" TargetType="CEGUI/Spinner" Renderer="Falagard/Default" LookNFeel="WindowsLook/Spinner" />
-	<FalagardMapping WindowType="WindowsLook/Tooltip" TargetType="CEGUI/Tooltip" Renderer="Falagard/Tooltip" LookNFeel="WindowsLook/Tooltip" />
-	<FalagardMapping WindowType="WindowsLook/Static"      TargetType="DefaultWindow" Renderer="Falagard/Static"      LookNFeel="WindowsLook/Static" />
-	<FalagardMapping WindowType="WindowsLook/StaticImage" TargetType="DefaultWindow" Renderer="Falagard/StaticImage" LookNFeel="WindowsLook/StaticImage" />
-	<FalagardMapping WindowType="WindowsLook/StaticText"  TargetType="DefaultWindow" Renderer="Falagard/StaticText"  LookNFeel="WindowsLook/StaticText" />
-	<FalagardMapping WindowType="WindowsLook/ItemListbox" TargetType="CEGUI/ItemListbox" Renderer="Falagard/ItemListbox" LookNFeel="WindowsLook/ItemListbox" />
-	<FalagardMapping WindowType="WindowsLook/ListboxItem" TargetType="CEGUI/ItemEntry"   Renderer="Falagard/ItemEntry"   LookNFeel="WindowsLook/ListboxItem" />
-	<FalagardMapping WindowType="WindowsLook/GroupBox" TargetType="CEGUI/GroupBox"   Renderer="Falagard/Default"   LookNFeel="WindowsLook/GroupBox" />
+<GUIScheme Name="WindowsLook">
+    <Imageset Name="WindowsLook" Filename="WindowsLook.imageset" />
+    <Imageset Name="TaharezLook" Filename="TaharezLook.imageset" />
+    <LookNFeel Filename="WindowsLook.looknfeel" />
+    <LookNFeel Filename="TaharezLook.looknfeel" />
+    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
+
+    <!-- Standard widgets -->
+    <FalagardMapping WindowType="WindowsLook/StaticImage"                 TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="WindowsLook/StaticImage" />
+    <FalagardMapping WindowType="WindowsLook/StaticText"                  TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="WindowsLook/StaticText" />
+    <FalagardMapping WindowType="WindowsLook/TabButtonPane"               TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="WindowsLook/TabButtonPane" />
+    <FalagardMapping WindowType="WindowsLook/TabContentPane"              TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="WindowsLook/TabContentPane" />
+    <FalagardMapping WindowType="WindowsLook/Checkbox"                    TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="WindowsLook/Checkbox" />
+    <FalagardMapping WindowType="WindowsLook/Combobox"                    TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="WindowsLook/Combobox" />
+    <FalagardMapping WindowType="WindowsLook/ComboDropList"               TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="WindowsLook/ComboDropList" />
+    <FalagardMapping WindowType="WindowsLook/Editbox"                     TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="WindowsLook/Editbox" />
+    <FalagardMapping WindowType="WindowsLook/FrameWindow"                 TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="WindowsLook/FrameWindow" />
+    <FalagardMapping WindowType="WindowsLook/GroupBox"                    TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="WindowsLook/GroupBox" />
+    <FalagardMapping WindowType="WindowsLook/ItemListbox"                 TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="WindowsLook/ItemListbox" />
+    <FalagardMapping WindowType="WindowsLook/ListboxItem"                 TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="WindowsLook/ListboxItem" />
+    <FalagardMapping WindowType="WindowsLook/Listbox"                     TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="WindowsLook/Listbox" />
+    <FalagardMapping WindowType="WindowsLook/ListHeader"                  TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="WindowsLook/ListHeader" />
+    <FalagardMapping WindowType="WindowsLook/ListHeaderSegment"           TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="WindowsLook/ListHeaderSegment" />
+    <FalagardMapping WindowType="WindowsLook/MultiLineEditbox"            TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="WindowsLook/MultiLineEditbox" />
+    <FalagardMapping WindowType="WindowsLook/Menubar"                     TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="WindowsLook/Menubar" />
+    <FalagardMapping WindowType="WindowsLook/MenuItem"                    TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="WindowsLook/MenuItem" />
+    <FalagardMapping WindowType="WindowsLook/MultiColumnList"             TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="WindowsLook/MultiColumnList" />
+    <FalagardMapping WindowType="WindowsLook/PopupMenu"                   TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="WindowsLook/PopupMenu" />
+    <FalagardMapping WindowType="WindowsLook/ProgressBar"                 TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="WindowsLook/ProgressBar" />
+    <FalagardMapping WindowType="WindowsLook/Button"                      TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="WindowsLook/Button" />
+    <FalagardMapping WindowType="WindowsLook/RadioButton"                 TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="WindowsLook/RadioButton" />
+    <FalagardMapping WindowType="WindowsLook/SystemButton"                TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="WindowsLook/Button" />
+    <FalagardMapping WindowType="WindowsLook/ScrollablePane"              TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="WindowsLook/ScrollablePane" />
+    <FalagardMapping WindowType="WindowsLook/HorizontalScrollbar"         TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="WindowsLook/HorizontalScrollbar" />
+    <FalagardMapping WindowType="WindowsLook/VerticalScrollbar"           TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="WindowsLook/VerticalScrollbar" />
+    <FalagardMapping WindowType="WindowsLook/Slider"                      TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="WindowsLook/Slider" />
+    <FalagardMapping WindowType="WindowsLook/Spinner"                     TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="WindowsLook/Spinner" />
+    <FalagardMapping WindowType="WindowsLook/TabButton"                   TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="WindowsLook/TabButton" />
+    <FalagardMapping WindowType="WindowsLook/TabControl"                  TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="WindowsLook/TabControl" />
+    <FalagardMapping WindowType="WindowsLook/HorizontalScrollbarThumb"    TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="WindowsLook/HorizontalScrollbarThumb" />
+    <FalagardMapping WindowType="WindowsLook/SliderThumb"                 TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="WindowsLook/SliderThumb" />
+    <FalagardMapping WindowType="WindowsLook/VerticalScrollbarThumb"      TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="WindowsLook/VerticalScrollbarThumb" />
+    <FalagardMapping WindowType="WindowsLook/Titlebar"                    TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="WindowsLook/Titlebar" />
+    <FalagardMapping WindowType="WindowsLook/Tooltip"                     TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="WindowsLook/Tooltip" />
+    
+    <!-- Missing widgets (using Taharez LookNFeel) -->
+    <FalagardMapping WindowType="WindowsLook/ComboEditbox"                TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/ComboEditbox" />
+    <FalagardMapping WindowType="WindowsLook/ImageButton"                 TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
+    <FalagardMapping WindowType="WindowsLook/Tree"                        TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
+
+    <!-- Additional widgets -->
+    <FalagardMapping WindowType="WindowsLook/IconButton"                  TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="WindowsLook/IconButton" />
+    <FalagardMapping WindowType="WindowsLook/Static"                      TargetType="DefaultWindow"           Renderer="Falagard/Static"            LookNFeel="WindowsLook/Static" />
 </GUIScheme>
